package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Upload_visa;
import com.realnet.vpspack.Services.Upload_visaService ;






@RequestMapping(value = "/Upload_visa")
 @CrossOrigin("*") 
@RestController
public class Upload_visaController {
	@Autowired
	private Upload_visaService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Upload_visa")
		  public Upload_visa Savedata(@RequestBody Upload_visa data) {
		Upload_visa save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Upload_visa/{id}")
	public  Upload_visa update(@RequestBody Upload_visa data,@PathVariable Integer id ) {
		Upload_visa update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Upload_visa/getall/page")
	public Page<Upload_visa> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Upload_visa> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Upload_visa")
	public List<Upload_visa> getdetails() {
		 List<Upload_visa> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Upload_visa")
	public List<Upload_visa> getallwioutsec() {
		 List<Upload_visa> get = Service.getdetails();		
		return get;
}
@GetMapping("/Upload_visa/{id}")
	public  Upload_visa  getdetailsbyId(@PathVariable Integer id ) {
		Upload_visa  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Upload_visa/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}